/* font definition & functions taken from X-MASteroids  by Eike Anderson */
#ifndef  _GL_FONT_H
#define  _GL_FONT_H
#include<windows.h>
#include<stdarg.h>
#include<stdio.h>
#include<GL/glut.h>

/* functions for basic font drawing */
void makeRasterFont(void);	/* create font display lists */
void printString(int x,int y,char *string); /* print a string at raster position x/y */
void printgl(int x,int y, char *fmt,...); /* print using OpenGL like using printf */

/* functions for using the OpenGL window like a console */
int  initText(int width,int height); /* set up a text context on the screen */
void freeText(void);      /* unallocate text context */
void clsText(void);       /* clear screen of text */
void drawText(void);      /* draw all text */

void printT(int row,int column, char *fmt,...); /* use printf-like syntax to write to text */
int  getT(unsigned char); /* add a character to the text (needs to be retrieved from keyboard) */
void writeT(int row,int column,char *string);
void backText(void);     /* backSpace functionality */
void NewLineText(void);  /* newLine functionality */

#endif